<?php
/**
 * @copyright   2006-2013, Miles Johnson - http://milesj.me
 * @license     http://opensource.org/licenses/mit-license.php
 * @link        http://milesj.me/code/php/transit
 */

namespace Transit\Transporter;

use Transit\Component\AbstractComponent;
use Transit\Transporter;

/**
 * Provides shared functionality for transporters.
 *
 * @package Transit\Transporter
 */
abstract class AbstractTransporter extends AbstractComponent implements Transporter {

    /**
     * Client instance.
     *
     * @type object
     */
    protected $_client;

    /**
     * {@inheritdoc}
     *
     *
     * @type array {
     *      @type string $removeLocal - Whether to remove the local file after transportation or not.
     * }
     */
    protected $_defaultConfig = array(
        'removeLocal' => true
    );

    /**
     * Return the client.
     *
     * @return mixed
     */
    public function getClient() {
        return $this->_client;
    }

}
